klink0v (klink0v) wrote,
klink0v
klink0v

Firefox 62.0 под Debian

Обновил Firefox Quantum до версии 62.0 (Debian Linux). После этого в нём отвалился SQLite с совершенно нерелевантной ошибкой "The bookmarks and history system will not be functional because one of Firefox's files is in use by another application. Some security software can cause this problem."

Понятно, что никакого "security software" у меня рядом не лежало. SQLite-базу пересоздавал, с чистым профилем пробовал, под другим юзером пробовал, переустанавливать лису пробовал, ничего не помогает. SQLite-базу он вроде бы видит, но Integrity Checks не проходят, также с абсолютно неинформативными ошибками.

Разгадка оказалась простой. Начиная с этой версии браузеру стало мало SQLite 3.16, который идет с Debian Stretch. Хочет чего посвежее. После обновления пакета "libsqlite3-0" до версии 3.24 проблема исчезла.

Уже предвижу глумления на тему "линуксоиды должны страдать". Валяйте...

Tags: firefox, linux, грабли
Subscribe
  • Post a new comment

    Error

    Anonymous comments are disabled in this journal

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

  • 16 comments